Oversigt

AnyFlex taster

F2 | Gem. Hvis der trykkes F2 i FILESIZE feltet, rettes filesize for registeret til det angivne antal.
Shift + F2 | Slet.
ESC | Fortryd ændringer.
F5 | Fortryd ændringer.
F9 | Søg efter post. Skifter automatisk til passende index, hvis det findes.
ALT + F9 | Rediger notattekst.
F11 | Indsæt række. Gem med F2. Afslut indsætning af rækker med ESC.
F12 | Vis/rediger post i kolonne format.
Page Up | Hopper første gang til øverste post i griddet. Øvrige gange bladres en side ad gangen.
Page Down | Hopper første gang til sidste post i griddet. Øvrige gange bladres en side ad gangen.
HOME | Hopper til første post.
END | Hopper til sidste post.

Andre funktionstaster

CTRL + E | Extention opsætning.
CTRL + K | Kopier fra database til database.
CTRL + F | Vælg felt ud fra søgeliste.
CTRL + R | Reindexer alle index.
CTRL + Delete | Zerofile. Sletter alle poster.
CTRL + P | Rapportgenerator. Kræver dog at filelisten er tilstede (ses ved at Filelist-knappen er aktiv).
CTRL + G | Global Data Replacement Utility. Slette/rette program af data.


Global Data Replacement Utility

Data Replace Operation

1. Enter a file name, use F4 or the prompt button to fill in the file name.

2. Enter the "Selection" by pressing F4 to select the File.Field, and add on the limitations if any.

For example,

All records:

file.recnum>0

A record selection:

file.field1="abc"

-or-

file.field1="abc" AND file.field2="DEF"

-or-

file.field1="abc" OR file.field2="DEF"

The standard DF "Eval" function has been used, so most simple logic can be handled. Multiple fields may be selected with the lookup list, they will be concatinated rather than overwrite, you only have to add the logic operators and criteria.

3. Select the Field to make changes to, again using the popup.

4. Enter the data to be entered into the field in #3. You may also enter an expression here such as the following:

"ABCD"

24.50

(FILE.FIELD1+3)

(FILE.FIELD1+FILE.FIELD9) Assuming both are numbers and so forth.

Be sure strings and dates are enclosed in quotes.

5. Select an index if desired (see section below) and click the "Replace" button.

Data Delete Operation

Follow steps #1 & 2 only.

Deleting does not use indexes, so don't bother.

Indexes

Click on the index button.

Select an index using the popup.

Enter jump-in data. This data assumes the first segment of the above index will be the field used for this. Do NOT enclose any data in quotes for index jumping, in or out.

If desired, enter jump-out data. Again, this data assumes the first segment of the above index will be the field used for this.

Click OK.

To use indexes successfully you need to plan a bit. For small data files, don't bother and just use the recnum. If using an index, plan the jump-in data for just before the data you want to change, and the jump-out for just after.

If you click on "Cancel" the index entries will NOT be used.

Tilbage til Oversigt